RXVT(1.61)

NAME
rxvt - VT100 emulator for the X window system

SYNOPSIS
rxvt [ options ]

DESCRIPTION
Rxvt is a VT100 terminal emulator for X. It is intended as a replacement for xterm(1) for users who do not require the more esoteric features of xterm. Specifically rxvt does not implement the Tektronix 4014 emulation, session logging and toolkit style configurability. As a result, rxvt uses much less swap space than xterm - a significant advantage on a machine serving many X sessions.

OPTIONS
The options supported by rxvt (which are a subset of those supported by xterm) are listed below.

-e command [ arguments ]
    Run the command with its command line arguments in the xvt window. If this option is used, it must be the last on the command line. If there is no -e option then the default is to run the program specified by the SHELL environment variable or, failing that, sh(1).

-display display-name
    Attempt to open the xvt window on the named X display. In the absence if this option, the display specified by the DISPLAY environment variable is used.

-geometry window-geometry
    Create the window with the specified X window geometry.

-bg color
    Use the specified color as the window's background color.

-fg color
    Use the specified color as the window's foreground color.

-font fontname
    Set the main text font used by rxvt.

-T text
    Set the string that is displayed in the window's title bar if it has one.

-n text
    Set the name that will be used to label the window's icon or displayed in an icon manager window. This option also sets the window's title unless it is set explicitly.

-C  Capture system console messages.

-7  Run in 7 bit mode, stripping the 8th bit from all character typed on the keyboard.

-8  Run in 8 bit clean mode, allowing the 8th bit of characters typed at the keyboard to be passed to the application.

-ls Prepend a "-" to argv[0] of the shell which is initiated for the window, causing it to be a login shell.

-ls-
    Do not prepend a "-" to argv[0] of the shell which is initiated for the window, causing it to be a regular shell. Used only to over-ride a resources setting.

-ic Start iconified, if the window manager supports that option.

-fat
    Use an xterm-style fat scrollbar instead of rxvt's native thin scrollbar.

-thin
    Use rxvt's native thin scrollbar, no matter what the resources say.

-smallfont keysym
    Makes rxvt use key alt-keysym instead of alt-"<" to toggle to a smaller font.

-bigfont keysym
    Makes rxvt use key alt-keysym instead of alt-">" to toggle to a bigger font.

-pageup keysym
    Makes rxvt use key alt-keysym instead of alt-Prev_Page to toggle to scroll up a page.

-pagedown keysym
    Makes rxvt use key alt-keysym instead of alt-Next_Page to toggle to scroll down a page.

-secure keysym
    Makes rxvt use key alt-keysym instead of alt-"s" to toggle to a bigger font.

-sl number
    Causes rxvt to save number lines in he scroll back buffer instead of the default 64.

-meta string
    Causes rxvt to alter its handling of meta (alt) + keypress. By default, rxvt will send an escape prefix when it receives a meta keypress. You can specify either "escape","8thbit", or "ignore" for string. "8thbit" causes the 8th bit to be set in the received character.

X RESOURCES
rxvt accepts resources set in each users ~/.Xdefaults, and probably from a few dozen other places too. If no resources are specified, suitable defaults will be used. Command line arguments can be used to over-ride resources settings. The following resources are allowed:

rxvt.command: command [ arguments ]
    The same as command line argument -e.

rxvt.geometry: window-geometry
    The same as command line argument -geometry.

rxvt.background: color
    The same as command line argument -bg.

rxvt.foreground: color
    The same as command line argument -fg.

rxvt.font: fontname
    The same as command line argument -font.

rxvt.title: text
    The same as command line argument -T.

rxvt.icon_name: text
    The same as command line argument -n.

rxvt.bits: text
    text must be 7 or 8. 7 is the same as command line option -7, and 8 is the same as -8.

rxvt.login_shell: text
    text must be True or False. True is the same as -ls, and False is the same as -ls-.

rxvt.scrollbar: text
    text must be Fat or Thin. Fat is the same as -fat, and thin is the same as -thin.

rxvt.smaller_font_key: keysym
    Makes rxvt use key alt-keysym instead of alt-"<" to toggle to a smaller font.

rxvt.bigger_font_key: keysym
    Makes rxvt use key alt-keysym instead of alt-">" to toggle to a bigger font.

rxvt.page_up_key: keysym
    Makes rxvt use key alt-keysym instead of alt-Prev_Page to toggle to a bigger font.

rxvt.page_down_key: keysym
    Makes rxvt use key alt-keysym instead of alt-Next_Page to toggle to a bigger font.

rxvt.secure_key keysym
    Makes rxvt use key alt-keysym instead of alt-"s" to toggle to a bigger font.

rxvt.saveLines number
    Causes rxvt to save number lines in he scroll back buffer instead of the default 64.

rxvt.meta string
    See the -meta command line option.

TITLES AND ICON NAMES
One occasionally confusing aspect of rxvt and other X applications is the collection of names that an application window can have and the relationship between the names and the command line options used to set them. This section attempts to make the situation a bit clearer in the case of rxvt.

In fact, each terminal window has two names: its title and its icon name. These names are distinct and have different functions, although they usually have the same value. The title is the text that is displayed in the title bar, if there is one, and the icon name is the name that appears in the window's icon or represents it in the icon manager window.

THE SCROLL BAR
Lines of text that scroll off the top of the rxvt window are saved automatically (up to a preset maximum number) and can be viewed by scrolling them back into the window with the scrollbar.

  The rxvt-style scroll bar
Pressing a mouse button while in the scrollbar will cause the window contents to scroll continuously with mouse motion. Pressing the up or down arrows which are at the top and bottom of the scroll bar, will cause the window to scroll by almost a full screen. The same effect can be achieved by typing alt-next-page or alt-prev-page. The actual hotkey which is used can be switched through command line or X resources options described above.

  The xterm-style scroll bar
If the -fat option has been selected, an xterm-compatible scroll bar is used instead of the rxvt-style scroll bar. Pressing a mouse button 2 while in the scrollbar will cause the window contents to scroll continuously with mouse motion. Pressing mouse button 1 will move the line adjacent to the pointer to the top of the display window. Pressing mouse button 2 will move the line at the top of the display window to a position adjacent to the pointer.

TEXT SELECTION AND INSERTION
rxvt uses a similar kind of text selection and insertion mechanism to xterm. Pressing and releasing the middle mouse button in an rxvt window causes the current text selection to be inserted as if it had been typed on the keyboard. For the insertion to take place, both the button press and the button release need to be done with the cursor in the rxvt window.

The left and right mouse buttons are used to select text. A text selection starts at the point where the left or right button is pressed, and ends at the point where it is released. Rxvt does not support word and line selection by double clicking.

SECURING THE KEYBOARD
You can enter or exit from the secure keyboard mode by typing alt-s. This is typically a good thing to do when you are typing a password. The actual hotkey which is used can be switched through command line or X resources options described above.

CHANGING FONTS
You can change fonts on the fly by typing alt-> or alt-< (that hold down the "Alt" key and press "<" or ">". The actual hotkey which is used can be switched through command line or X resources options described above. This will cycle through your default font and 4 others of various sizes.

BUGS
rxvt-1.6 really is bug free, except for utmp support, which is pretty crazy.

AUTHOR
John Bovey, University of Kent, 1992. Very very very heavily modified by Rob Nation (nation@rocket.sanders.lockheed.com)